
require midpath_${PV}.bb

DEPENDS += "alsa-lib"
RDEPENDS = "alsa-lib"

do_configure() {
	cd ${S}/native/alsa
	sed -i -e "s|\-I/usr/include/classpath|\-I${STAGING_INCDIR}/classpath-minimal|" Makefile
	cd ${S}/resources-embedded/com/sun/midp/configuration
	sed -i -e "s|sound.backend:NULL|sound.backend:ALSA|" configuration.cfg
}

do_compile() {

# Build the ALSA native part
cd ${S}/native/alsa
make || exit 1

}

do_install() {
	install -d ${D}${libdir}
	install -m 0644 ${S}/native/alsa/libmidpathalsa.so ${D}${libdir}
	install -d ${D}${datadir}/java/resources-embedded/com/sun/midp/configuration
	install -m 0644 resources-embedded/com/sun/midp/configuration/configuration.cfg ${D}${datadir}/java/resources-embedded/com/sun/midp/configuration/
}

do_stage() {
	:
}
	

FILES_${PN}  = "${libdir}/libmidpathalsa.so \
                ${datadir}/java/resources-embedded/com/sun/midp/configuration/configuration.cfg \
	       "

CONFFILES_${PN} = "${datadir}/java/resources-embedded/com/sun/midp/configuration/configuration.cfg"
